﻿@model IEnumerable<Proyecto_SGPF.Models.Productos>

@{
    ViewBag.Title = "ListadoPastel";
}

@Html.Partial("_Menu")
<head>
    <link rel="stylesheet" href="~/Content/StyleSheet1.css" type="text/css">
</head>
<body id="ll">
    <h2>Listado de Pasteles</h2>

    <p>
        @Html.ActionLink("Detalle de Venta", "ListarPastelesAgregado")
    </p>
    <table class="table">
        <tr>
            <th>
                @Html.DisplayNameFor(model => model.Nombre)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Tamanio)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Pisos)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Ingredientes)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Precio)
            </th>
            <th></th>
        </tr>

        @foreach (var item in Model)
        {
            <tr>
                <td>
                    @Html.DisplayFor(modelItem => item.Nombre)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.Tamanio)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.Pisos)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.Ingredientes)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.Precio)
                </td>
                <td>
                    @if (ViewBag.Favoritos != null && ViewBag.Favoritos.Contains(item.IdProducto))
                    {
                        <img src="\Content\baseline_add_shopping_cart_black_18dp.png" style="width:25px;height:25px" />
                    }
                    else
                    {
                        @Html.ActionLink("Agregar a la venta", "ListadoPastel", new { id = item.IdProducto })
                    }
                </td>
            </tr>
        }

    </table>
    </body>